<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Solala
 * @since 1.0
 */

$solala_args = solala_404_page();
$solala_illustration_image = $solala_args['404-illustration'];
get_header('none'); ?>
<div class="slz-main-content slz-page-404">
	<div class="content-wrapper content-wrapper-404">
		<?php 
		if ( $solala_illustration_image && !empty ( $solala_illustration_image['data']['icon'] ) && $solala_illustration_image['data']['css'] != 'none' ){
			echo '<img class="img-404" src="'.esc_url($solala_illustration_image['data']['icon']).'" alt="" />';
			
		}?>
		<h1 class="title"><?php echo esc_html($solala_args['title']); ?></h1>
		<div class="subtitle"><?php echo wp_kses_post($solala_args['description']); ?>
		</div>
		<div class="group-btn">
			<?php if(!empty($solala_args['home_text'])){?>
				<a href="<?php echo esc_url(site_url()); ?>" class="slz-btn main-color"><span class="btn-text"><?php echo esc_html($solala_args['home_text']); ?></span></a>
			<?php }
			if (!empty($solala_args['button_text'])){?>
				<a href="<?php echo esc_url($solala_args['button_link']); ?>" class="slz-btn transparent"><span class="btn-text"><?php echo esc_html($solala_args['button_text']); ?></span></a>
			<?php }?>
		</div>
	</div>
</div>
<?php get_footer('none'); ?>