<?php
/**
 * The template for displaying the footer
 *
 * @package WordPress
 * @subpackage Solala
 * @since 1.0
 */
?>

<?php 

// Call Function to Get Footer Banner
solala_get_footer_banner();

if ( solala_check_extension('footers') ) {

	if ( is_page( ) ) {

		$footer_options = slz_get_db_post_option( get_the_ID(), 'page-footer-style' );

		$solala_selected_footer = slz_akg('footer-style', $footer_options, '' );
		if ( $solala_selected_footer == 'default' )
			unset ( $solala_selected_footer );

	}

	if ( empty ( $solala_selected_footer ) && slz_get_db_settings_option('slz-footer-style-group/slz-footer-style', false) ){

		$solala_selected_footer = slz_get_db_settings_option('slz-footer-style-group/slz-footer-style', '');

	}

	if ( !empty ( $solala_selected_footer ) ) {

		$solala_footer = slz_ext('footers')->get_footer( $solala_selected_footer );

		if ( !empty ( $solala_footer ) ) {
			$solala_footer->render();
		}

	}

}
else
	get_template_part('default-templates/footer');

?>

	</div>
</div>
<?php

	if ( defined('SLZ') ) {

		if ( slz_get_db_settings_option('enable-scroll-to', '') == 'yes' ) {
			$solala_scroll_settings = slz_get_db_settings_option('scroll-to-top-styling', '');

			$solala_icon = '<i class="fa fa-angle-up"></i>';

			if ( !empty ( $solala_scroll_settings ) ) {

				if ( $solala_scroll_settings['icon-type']['icon-box-img'] == 'icon-class' && ! empty( $solala_scroll_settings['icon-type']['icon-class']['icon_class'] ) ) {

					$solala_icon = '<i class="' . esc_attr( $solala_scroll_settings['icon-type']['icon-class']['icon_class'] ) . '"></i>';

				} elseif ( $solala_scroll_settings['icon-type']['icon-box-img'] == 'upload-icon' && ! empty( $solala_scroll_settings['icon-type']['upload-icon']['upload-custom-img'] ) ) {

					$solala_icon = '<img src="' . esc_url ( $solala_scroll_settings['icon-type']['upload-icon']['upload-custom-img']['url'] ) . '"/>';
				}

			}

			echo '<div class="btn-wrapper back-to-top">
					<button class="btn">
						<a href="#top" class="btn-transparent">' . wp_kses_post( $solala_icon ) . '</a>
					</button>
				</div>';			
		}
	}
?>

<?php wp_footer(); ?>

</body>
</html>
