<?php
$sort_by = SLZ_Params::get('sort-other');
$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'event_block' );

$image_display = $shortcode->get_config( 'show_hide' );
$description_display = $shortcode->get_config( 'show_hide' );
$event_time_display = $shortcode->get_config( 'show_hide' );
$event_location_display = $shortcode->get_config( 'show_hide' );
$filter_method = $shortcode->get_config( 'filter_method' );
$yes_no = $shortcode->get_config( 'yes_no' );
$show_hide = $shortcode->get_config( 'show_hide' );

$taxonomy = 'slz-event-cat';
$params_cat = array('empty'   => esc_html__( '-All Event Categories-', 'solala' ) );
$event_cat = SLZ_Com::get_tax_options2slug( $taxonomy, $params_cat );

$args = array('post_type' => 'slz-event');
$options = array('empty'  => esc_html__( '-All Event-', 'solala' ) );
$events = SLZ_Com::get_post_title2id( $args, $options );

$column = array(
	esc_html__( 'One', 'solala' )      => '1',
	esc_html__( 'Two', 'solala' )      => '2'
);

$layouts = array(
    array (
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Layout', 'solala' ),
        'admin_label' => true,
        'param_name'  => 'layout',
        'value'       => $shortcode->get_layouts(),
        'description' => esc_html__( 'Choose layout will be displayed.', 'solala' )
    )
);

$filters =  array(
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Display By', 'solala' ),
		'param_name'    => 'method',
		'value'         => $filter_method,
		'description'   => esc_html__( 'Choose team category or special events to display', 'solala' ),
		'group'         => esc_html__('Filter', 'solala')
	),
	array(
		'type'          => 'param_group',
		'heading'       => esc_html__( 'Category', 'solala' ),
		'param_name'    => 'list_category',
		'params'        => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Category', 'solala' ),
				'param_name'  => 'category_slug',
				'value'       => $event_cat,
				'description' => esc_html__( 'Choose special category to filter', 'solala'  )
			)
		),
		'value'         => '',
		'description'   => esc_html__( 'Choose Event Category.', 'solala' ),
		'dependency'    => array(
			'element'   => 'method',
			'value'     => array( 'cat' )
		),
		'group'         => esc_html__('Filter', 'solala')
	),
	array(
		'type'          => 'param_group',
		'heading'       => esc_html__( 'Events', 'solala' ),
		'param_name'    => 'list_post',
		'params'        => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Event', 'solala' ),
				'param_name'  => 'post',
				'value'       => $events,
				'description' => esc_html__( 'Choose special event to show',  'solala'  )
			)
		),
		'value'         => '',
		'description'   => esc_html__( 'Default display All Event if no event is selected and Number event is empty.', 'solala' ),
		'dependency'    => array(
			'element'   => 'method',
			'value'     => array( 'event' )
		),
		'group'         => esc_html__('Filter', 'solala')
	)
);

$custom_tab = array(
	array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Title Color', 'solala' ),
        'param_name'  => 'title_color',
        'description' => esc_html__( 'Choose a custom color for title.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Title Color Hover', 'solala' ),
        'param_name'  => 'title_color_hover',
        'description' => esc_html__( 'Choose a custom color for title when hover.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),

    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Information Color', 'solala' ),
        'param_name'  => 'info_color',
        'description' => esc_html__( 'Choose a custom color for infomation.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),

    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Information Color Hover', 'solala' ),
        'param_name'  => 'info_color_hover',
        'description' => esc_html__( 'Choose a custom color for information when hover.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Background Item', 'solala' ),
        'param_name'  => 'bg_item',
        'value'       => '',
        'description' => esc_html__( 'Choose color background for item.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Background Item Hover', 'solala' ),
        'param_name'  => 'bg_item_hover',
        'value'       => '',
        'description' => esc_html__( 'Choose color background for item when hover.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Button Color', 'solala' ),
        'param_name'  => 'btn_color',
        'value'       => '',
        'description' => esc_html__( 'Choose color for button.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),


	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Image display', 'solala' ),
		'param_name'  => 'image_display',
		'value'       => $image_display,
		'description' => esc_html__( 'Choose show or hide image.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Description display', 'solala' ),
		'param_name'  => 'description_display',
		'value'       => $description_display,
		'description' => esc_html__( 'Choose show or hide description.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Event time display', 'solala' ),
		'param_name'  => 'event_time_display',
		'value'       => $event_time_display,
		'description' => esc_html__( 'Choose show or hide event time.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Event location display', 'solala' ),
		'param_name'  => 'event_location_display',
		'value'       => $event_location_display,
		'description' => esc_html__( 'Choose show or hide event location.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
);

$params = array(
	array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Columns', 'solala' ),
        'admin_label' => true,
        'param_name'  => 'column',
        'value'       => $column,
        'std'         => '1',
        'description' => esc_html__( 'Choose number column will be displayed.', 'solala' ),
        'dependency'    => array(
            'element'   => 'layout',
            'value'     => array( 'layout-4' )
        ),
    ),
	array(
		'type'        	=> 'textfield',
		'heading'     	=> esc_html__( 'Title shortcode', 'solala' ),
		'param_name'  	=> 'title',
		'value'       	=> '',
		'std'      		=> '',
		'description' 	=> esc_html__( 'Add title for shortcode.', 'solala' ),
	),
    array(
        'type'        	=> 'textfield',
        'heading'     	=> esc_html__( 'Button More Concert', 'solala' ),
        'param_name'  	=> 'btn_readmore',
        'value'       	=> '',
        'std'      		=> '',
        'description' 	=> esc_html__( 'Add button More Concert for shortcode.', 'solala' ),
    ),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Show Search Bar', 'solala' ),
        'param_name'  => 'show_searchbar',
        'value'       => $show_hide,
        'std'         => 'hide',
        'dependency'    => array(
            'element'   => 'layout',
            'value'     => array( 'layout-2' )
        ),
        'description' => esc_html__( 'Choose Search Bar display.', 'solala' )
    ),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Pagination', 'solala' ),
		'param_name'  => 'pagination',
		'value'       => $yes_no,
		'description' => esc_html__( 'Choose pagination display.', 'solala' )
	),
	array(
		'type'        	=> 'textfield',
		'heading'     	=> esc_html__( 'Number Posts', 'solala' ),
		'param_name'  	=> 'limit_post',
		'value'       	=> '-1',
		'std'      		=> '',
		'description' 	=> esc_html__( 'The number of posts to display.', 'solala' ),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Sort By', 'solala' ),
		'param_name'  => 'sort_by',
		'value'       => $sort_by,
		'description' => esc_html__( 'Select order to display list properties.', 'solala' )
	),
);

/*extra class*/
$extra_class = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'solala' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to block', 'solala' )
	),
);


$vc_options = array_merge(
    $layouts,
	$params,
	$extra_class,
	$custom_tab,
	$filters
);