<?php

$custom_class = ! empty( $model->attributes['show_searchbar'] ) ? 'search-bar' : '';

$html_render = array();
$html_format = '
	<div class="item">
            <div class="slz-event-01">
                <div class="event-wrapper">
                    %1$s
                    <div class="event-info info">
                        <div class="info-wrapper">
                            %2$s
                            <div class="info-content">
                                %3$s
                                %5$s
                            </div>
                        </div>
                    </div>
                    %9$s
                    <div class="event-info price">
                        <div class="unit">ticket</div>
                        <div class="number">%10$s</div>
                    </div>
                    <div class="event-info button">
                        <a href="%8$s" class="slz-btn"> <span class="btn-text">'. esc_html__( 'book now', 'solala' ) .'</span><span class="btn-icon fa fa-arrow-right"></span></a>
                    </div>
                </div>
            </div>
        </div>
';
$html_render['html_format'] = $html_format;
$html_render['event_date'] = '
    <div class="event-info time">
        <div class="date">%1$s</div>
        <div class="month">%2$s</div>
        <div class="year">%3$s</div>
    </div>
';
$html_render['title_format'] = '
    <div class="title-wrapper"><a href="%2$s" class="title">%1$s</a></div>
';
$html_render['thumb_class'] = 'thumb-img';
$html_render['event_description_format'] = '
    <div class="description">%1$s</div>
';
$html_render['image_format'] = '
    <div class="info-img">%1$s</div>
';
$html_render['event_location'] = '
    <div class="event-info location">
        <div class="specific">%1$s</div>
    </div>
';
?>
<div class="slz-list-event-01 layout-2">
    <?php if( isset( $model->attributes['show_searchbar'] ) && $model->attributes['show_searchbar'] == 'show' ): ?>
    <div class="search-loading"></div>
    <div class="search-event" data-json="<?php echo esc_attr( slz_events_encode_data( json_encode( $model->attributes ) ) ) ?>">
        <div class="search-item">
            <div class="search-label"><?php echo esc_html__( 'concert name', 'solala' ); ?></div><input type="search" placeholder="Search" class="search-field concert_name"></div>
        <div class="search-item search-time input-daterange">
            <div class="search-label"><?php echo esc_html__( 'when', 'solala' ); ?></div>
            <input type="search" placeholder="From" class="search-field half from input-small">
            <input type="search" placeholder="To" class="search-field half to input-small">
        </div>
        <div class="search-item">
            <div class="search-label"><?php echo esc_html__( 'artists & bands', 'solala' ); ?></div><input type="search" placeholder="Search" class="search-field artists_bands"></div>
        <div class="search-btn">
            <a href="javascript:void(0);" class="slz-btn btn-search"> <span class="btn-text"><?php echo esc_html__( 'find concert', 'solala' ); ?></span><span class="btn-icon fa fa-search"></span></a>
        </div>
    </div>
    <div class="search-result"><?php echo sprintf( 'Found %1$d Results', $model->query->found_posts ); ?></div>
    <?php endif; ?>
    <div class="list-event <?php echo esc_html( $custom_class ); ?>">
        <?php $model->render_event_sc( $html_render ); ?>
    </div>
    <?php
    if (isset($model->attributes['limit_post']) && isset($model->attributes['btn_readmore']) && empty( $model->attributes['pagination'] ) ) {
        if (!empty($model->attributes['btn_readmore']) && (!empty($model->attributes['limit_post']) && intval($model->attributes['limit_post']) != -1)) {
            $limit = intval($model->attributes['limit_post']);
            $btn_text = $model->attributes['btn_readmore'];
            $max_post = intval($model->query->found_posts);
            if ($limit < $max_post) {
                echo  '<div class="slz-btn-readmore">
                                <input class="slz-btn btn-readmore" data-limit-post="'.esc_attr($limit).'" data-max-post="'.esc_attr($max_post).'" data-offset-post="'.esc_attr($limit).'" data-html-render="'.esc_attr( slz_events_encode_data( json_encode( $html_render ) ) ).'"  data-json="'.esc_attr( slz_events_encode_data( json_encode( $model->attributes ) ) ).'" type="button" value="'.esc_attr($btn_text).'"/>
                            </div>';
            }
        }
    }
    ?>
</div>
<?php
$custom_css = '';
$block_cls = trim($model->attributes['block_cls']);
if ( isset($model->attributes['title_color']) && !empty($model->attributes['title_color']) ) {
    $title_color = $model->attributes['title_color'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-01 .title{
                color:'.$title_color.'
            }
        ';
}

if ( isset($model->attributes['title_color_hover']) && !empty($model->attributes['title_color_hover']) ) {
    $title_color_hover = $model->attributes['title_color_hover'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-01:hover .title{
                color:'.$title_color_hover.'
            }
        ';
}

if ( isset($model->attributes['info_color']) && !empty($model->attributes['info_color']) ) {
    $info_color = $model->attributes['info_color'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-01 .location,
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-01 .description
            {
                color:'.$info_color.'
            }
        ';
}

if ( isset($model->attributes['info_color_hover']) && !empty($model->attributes['info_color_hover']) ) {
    $info_color_hover = $model->attributes['info_color_hover'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-01:hover .location,
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-01:hover .description
            {
                color:'.$info_color_hover.'
            }
        ';
}

if ( isset($model->attributes['bg_item']) && !empty($model->attributes['bg_item']) ) {
    $bg_item = $model->attributes['bg_item'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).'  .item .slz-event-01 .event-wrapper{
                background-color:'.$bg_item.'
            }
        ';
}

if ( isset($model->attributes['bg_item_hover']) && !empty($model->attributes['bg_item_hover']) ) {
    $bg_item_hover = $model->attributes['bg_item_hover'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).'  .item .slz-event-01:hover:before{
                background-color:'.$bg_item_hover.'
            }
        ';
}

if ( isset($model->attributes['btn_color']) && !empty($model->attributes['btn_color']) ) {
    $btn_color = $model->attributes['btn_color'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).'  .item .slz-event-01 .slz-btn:before{
                background: '.$btn_color.'
            }
            
        ';
}

if ( !empty( $custom_css ) )
    do_action( 'slz_add_inline_style', $custom_css );
?>