<?php

$html_render = array();
$html_format = '
	<div class="item">
            <div class="slz-event-04">
                <div class="event-image">
                    %2$s
                </div>
                <div class="event-content">
                    %1$s
                    %3$s
                    %9$s
                    %5$s
                </div>
                <div class="event-price">
                    %10$s
                    <a href="%8$s" class="slz-btn slz-btn-booking"> 
                        <span class="btn-text">'. esc_html__( 'book now', 'solala' ) .'</span>
                        <i class="btn-icon fa fa-arrow-right"></i>
                    </a>
                </div>
            </div>
        </div>
';
$html_render['html_format'] = $html_format;
$html_render['event_date'] = '
    <div class="event-info time">
        <div class="month">%2$s</div>
        <div class="date">%1$s</div>
        <div class="year">%3$s</div>
    </div>
';
$html_render['title_format'] = '
    <div class="title-wrapper"><a href="%2$s" class="title">%1$s</a></div>
';
$html_render['thumb_class'] = 'thumb-img';
$html_render['event_description_format'] = '
    <div class="description">%1$s</div>
';
$html_render['image_format'] = '
    <div class="info-img">%1$s</div>
';
$html_render['event_location'] = '
    <div class="location">%1$s</div>
';

//column
$column = '1';
if ( isset($model->attributes['column']) ) {
    $column = $model->attributes['column'];
}

?>



<div class="slz-list-event-04 layout-4">
    
    <div class="slz-list-block slz-column-<?php echo esc_attr($column); ?>">
        <?php $model->render_event_sc( $html_render ); ?>
    </div>
    <?php
    if (isset($model->attributes['limit_post']) && isset($model->attributes['btn_readmore']) && empty( $model->attributes['pagination'] ) ) {
        if (!empty($model->attributes['btn_readmore']) && (!empty($model->attributes['limit_post']) && intval($model->attributes['limit_post']) != -1)) {
            $limit = intval($model->attributes['limit_post']);
            $btn_text = $model->attributes['btn_readmore'];
            $max_post = intval($model->query->found_posts);
            if ($limit < $max_post) {
                echo  '<div class="slz-btn-readmore">
                                <input class="slz-btn btn-readmore" data-limit-post="'.esc_attr($limit).'" data-max-post="'.esc_attr($max_post).'" data-offset-post="'.esc_attr($limit).'" data-html-render="'.esc_attr( slz_events_encode_data( json_encode( $html_render ) ) ).'"  data-json="'.esc_attr( slz_events_encode_data( json_encode( $model->attributes ) ) ).'" type="button" value="'.esc_attr($btn_text).'"/>
                            </div>';
            }
        }
    }
    ?>
</div>

<?php
$custom_css = '';
$block_cls = trim($model->attributes['block_cls']);
if ( isset($model->attributes['title_color']) && !empty($model->attributes['title_color']) ) {
    $title_color = $model->attributes['title_color'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-04 .title{
                color:'.$title_color.'
            }
        ';
}

if ( isset($model->attributes['title_color_hover']) && !empty($model->attributes['title_color_hover']) ) {
    $title_color_hover = $model->attributes['title_color_hover'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-04:hover .title{
                color:'.$title_color_hover.'
            }
        ';
}

if ( isset($model->attributes['info_color']) && !empty($model->attributes['info_color']) ) {
    $info_color = $model->attributes['info_color'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-04 .location,
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-04 .description
            {
                color:'.$info_color.'
            }
        ';
}

if ( isset($model->attributes['info_color_hover']) && !empty($model->attributes['info_color_hover']) ) {
    $info_color_hover = $model->attributes['info_color_hover'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-04:hover .location,
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).' .item .slz-event-04:hover .description
            {
                color:'.$info_color_hover.'
            }
        ';
}

if ( isset($model->attributes['bg_item']) && !empty($model->attributes['bg_item']) ) {
    $bg_item = $model->attributes['bg_item'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).'  .item .slz-event-04{
                background-color:'.$bg_item.'
            }
        ';
}

if ( isset($model->attributes['bg_item_hover']) && !empty($model->attributes['bg_item_hover']) ) {
    $bg_item_hover = $model->attributes['bg_item_hover'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).'  .item .slz-event-04:hover{
                background-color:'.$bg_item_hover.'
            }
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).'  .item .slz-event-04:hover:before{
                background-color: transparent;
            }
            
        ';
}

if ( isset($model->attributes['btn_color']) && !empty($model->attributes['btn_color']) ) {
    $btn_color = $model->attributes['btn_color'];
    $custom_css .= '
            .slz-shortcode.sc_event_block.'.esc_attr( $block_cls ).'  .item .slz-event-04 .slz-btn-booking:after{
                background-color: '.$btn_color.'
            }
            
        ';
}


if ( !empty( $custom_css ) )
    do_action( 'slz_add_inline_style', $custom_css );
?>