<?php
$sort_by = SLZ_Params::get('sort-other');
$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'event_carousel' );

$show_hide = $shortcode->get_config( 'show_hide' );
$yes_no = $shortcode->get_config( 'yes_no' );
$filter_method = $shortcode->get_config( 'filter_method' );

$taxonomy = 'slz-event-cat';
$params_cat = array('empty'   => esc_html__( '-All Event Categories-', 'solala' ) );
$event_cat = SLZ_Com::get_tax_options2slug( $taxonomy, $params_cat );

$args = array('post_type' => 'slz-event');
$options = array('empty'  => esc_html__( '-All Event-', 'solala' ) );
$events = SLZ_Com::get_post_title2id( $args, $options );

$layouts = array(
	array (
		'type'             => 'dropdown',
		'heading'          => esc_html__( 'Layout', 'solala' ),
		'admin_label'      => true,
		'param_name'       => 'layout',
		'value'            => $shortcode->get_layouts(),
		'std'              => 'layout-4',
        'edit_field_class' => 'hidden',
		'description'      => esc_html__( 'Choose layout will be displayed.', 'solala' ),
	)
);

$filters =  array(
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Display By', 'solala' ),
		'param_name'    => 'method',
		'value'         => $filter_method,
		'description'   => esc_html__( 'Choose team category or special events to display', 'solala' ),
		'group'         => esc_html__('Filter', 'solala')
	),
	array(
		'type'          => 'param_group',
		'heading'       => esc_html__( 'Category', 'solala' ),
		'param_name'    => 'list_category',
		'params'        => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Category', 'solala' ),
				'param_name'  => 'category_slug',
				'value'       => $event_cat,
				'description' => esc_html__( 'Choose special category to filter', 'solala'  )
			)
		),
		'value'         => '',
		'description'   => esc_html__( 'Choose Event Category.', 'solala' ),
		'dependency'    => array(
			'element'   => 'method',
			'value'     => array( 'cat' )
		),
		'group'         => esc_html__('Filter', 'solala')
	),
	array(
		'type'          => 'param_group',
		'heading'       => esc_html__( 'Events', 'solala' ),
		'param_name'    => 'list_post',
		'params'        => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Event', 'solala' ),
				'param_name'  => 'post',
				'value'       => $events,
				'description' => esc_html__( 'Choose special event to show',  'solala'  )
			)
		),
		'value'         => '',
		'description'   => esc_html__( 'Default display All Event if no event is selected and Number event is empty.', 'solala' ),
		'dependency'    => array(
			'element'   => 'method',
			'value'     => array( 'event' )
		),
		'group'         => esc_html__('Filter', 'solala')
	)
);

$slider_options = array(
	array(
		'type'          => 'textfield',
		'heading'       => esc_html__( 'Slide To Show', 'solala' ),
		'param_name'    => 'slide_to_show',
		'value'         => '',
		'std'           => '3',
		'description'   => esc_html__( 'Enter number of items to show.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Auto Play ?', 'solala' ),
		'param_name'  	=> 'slide_autoplay',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'Choose YES to slide auto play.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Dots Navigation ?', 'solala' ),
		'param_name'  	=> 'slide_dots',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'Choose YES to show dot navigation.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Arrows Navigation ?', 'solala' ),
		'param_name'  	=> 'slide_arrows',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'Choose YES to show arrow navigation.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Loop Infinite ?', 'solala' ),
		'param_name'  	=> 'slide_infinite',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'Choose YES to slide loop infinite.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'          => 'textfield',
		'heading'       => esc_html__( 'Speed Slide', 'solala' ),
		'param_name'    => 'slide_speed',
		'value'			=> '',
		'std'           => '600',
		'description'   => esc_html__( 'Enter number value. Unit is millisecond. Example: 600.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
);

$custom_tab = array(
	array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Title Color', 'solala' ),
        'param_name'  => 'title_color',
        'description' => esc_html__( 'Choose a custom color for title.', 'solala' ),
        'group'       => esc_html__('Custom Options', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Title Color Hover', 'solala' ),
        'param_name'  => 'title_color_hv',
        'description' => esc_html__( 'Choose a custom color hover for title.', 'solala' ),
        'group'       => esc_html__('Custom Options', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Location Color', 'solala' ),
        'param_name'  => 'location_color',
        'description' => esc_html__( 'Choose a custom color for location.', 'solala' ),
        'group'       => esc_html__('Custom Options', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Location Color Hover', 'solala' ),
        'param_name'  => 'location_color_hv',
        'description' => esc_html__( 'Choose a custom color hover for location.', 'solala' ),
        'group'       => esc_html__('Custom Options', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Date Color', 'solala' ),
        'param_name'  => 'date_color',
        'description' => esc_html__( 'Choose a custom color for date.', 'solala' ),
        'group'       => esc_html__('Custom Options', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Date Color Hover', 'solala' ),
        'param_name'  => 'date_color_hv',
        'description' => esc_html__( 'Choose a custom color hover for date.', 'solala' ),
        'group'       => esc_html__('Custom Options', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Countdown Color', 'solala' ),
        'param_name'  => 'countdown_color',
        'description' => esc_html__( 'Choose a custom color for countdown.', 'solala' ),
        'group'       => esc_html__('Custom Options', 'solala'),
    ),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Image display', 'solala' ),
		'param_name'  => 'image_display',
		'value'       => $show_hide,
		'description' => esc_html__( 'Choose show or hide image.', 'solala' ),
        'dependency'    => array(
            'element'   => 'layout',
            'value'     => array( 'layout-1', 'layout-2' )
        ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Description display', 'solala' ),
		'param_name'  => 'description_display',
		'value'       => $show_hide,
		'dependency'    => array(
			'element'   => 'layout',
			'value'     => array( 'layout-1' )
		),
		'description' => esc_html__( 'Choose show or hide description.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Event time display', 'solala' ),
		'param_name'  => 'event_time_display',
		'value'       => $show_hide,
		'dependency'    => array(
			'element'   => 'layout',
			'value'     => array( 'layout-1' )
		),
		'description' => esc_html__( 'Choose show or hide event time.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Event location display', 'solala' ),
		'param_name'  => 'event_location_display',
		'value'       => $show_hide,
		'dependency'    => array(
			'element'   => 'layout',
			'value'     => array( 'layout-1', 'layout-4' )
		),
		'description' => esc_html__( 'Choose show or hide event location.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Countdown display', 'solala' ),
		'param_name'  => 'countdown_display',
		'value'       => $show_hide,
		'dependency'    => array(
			'element'   => 'layout',
			'value'     => array( 'layout-2', 'layout-4' )
		),
		'description' => esc_html__( 'Choose show or hide event countdown.', 'solala' ),
		'group'       => esc_html__('Custom Options', 'solala'),
	),
);

$params = array(
	array(
		'type'        	=> 'textfield',
		'heading'     	=> esc_html__( 'Title shortcode', 'solala' ),
		'param_name'  	=> 'title',
		'value'       	=> '',
		'std'      		=> '',
		'description' 	=> esc_html__( 'Add title for shortcode.', 'solala' ),
	),
	array(
		'type'        	=> 'textfield',
		'heading'     	=> esc_html__( 'Limit post', 'solala' ),
		'param_name'  	=> 'limit_post',
		'value'       	=> '-1',
		'std'      		=> '',
		'description' 	=> esc_html__( 'Add title for shortcode.', 'solala' ),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Sort By', 'solala' ),
		'param_name'  => 'sort_by',
		'value'       => $sort_by,
		'description' => esc_html__( 'Select order to display list properties.', 'solala' )
	),
);

/*extra class*/
$extra_class = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'solala' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to block', 'solala' )
	),
);


$vc_options = array_merge(
	$layouts,
	$params,
	$extra_class,
	$custom_tab,
	$slider_options,
	$filters
);