<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Forbidden' ); }

// Create Events Model
$model = new SLZ_Event();
// Init Model default attributes
$model->init( $data );

// Set items format
$html_options = array(
    'title_format'    => '<a class="block-title" href="%2$s">%1$s</a>',
    'event_location'  => '<span class="place">%s</span>',
    'event_date'   => '<span class="day">%1$s</span><span class="month">%2$s</span>',

);

// Html format for render
$html_format = '
	<div class="item">
		<div class="slz-event-countdown-01">
			<div class="block-info">
                <div class="title-wrapper">
                    %1$s
                </div>
                <div class="location-wrapper">
				    %2$s
                </div>
                <div class="date-time-wrapper">
				    %3$s
                </div>
			</div>';

// Check if countdown display or not
if( isset( $data['countdown_display'] ) && $data['countdown_display'] == 'show' )
{
	$html_format .=	'
        <div class="coming-soon count-down" data-expire="%4$s">
            <div class="main-count-wrapper">
                <div class="main-count">
                    <div class="time days flip">
                        <span class="count curr top">00</span>
                    </div>
                    <div class="count-height"></div>
                    <div class="stat-label">'.esc_html( 'days', 'solala' ).'</div>
                </div>
            </div>
            <div class="main-count-wrapper">
                <div class="main-count">
                    <div class="time hours flip">
                        <span class="count curr top">00</span>
                    </div>
                    <div class="count-height"></div>
                    <div class="stat-label">'.esc_html( 'hours', 'solala' ).'</div>
                </div>
            </div>
            <div class="main-count-wrapper">
                <div class="main-count">
                    <div class="time minutes flip">
                        <span class="count curr top">00</span>
                    </div>
                    <div class="count-height"></div>
                    <div class="stat-label">'.esc_html( 'mins', 'solala' ).'</div>
                </div>
            </div>
            <div class="main-count-wrapper">
                <div class="main-count">
                    <div class="time seconds flip">
                        <span class="count curr top">00</span>
                    </div>
                    <div class="count-height"></div>
                    <div class="stat-label">'.esc_html( 'secs', 'solala' ).'</div>
                </div>
            </div>
        </div>
        ';
}
$html_format .= '
        </div>
	</div>
';
?>
<div class="carousel-overflow">
	<div class="slz-carousel style-1 layout-4" data-slidestoshow="<?php echo esc_attr( $data['slide_to_show'] ); ?>" data-autoplay="<?php echo esc_attr( $data['slide_autoplay'] ); ?>" data-isdot="<?php echo esc_attr( $data['slide_dots'] ); ?>" data-isarrow="<?php echo esc_attr( $data['slide_arrows'] ); ?>" data-infinite="<?php echo esc_attr( $data['slide_infinite'] ); ?>" data-speed="<?php echo esc_attr( $data['slide_speed'] ); ?>">
        <?php
            if( $model->query->have_posts() ) {
                while ( $model->query->have_posts() ) {
                    $model->query->the_post();
                    $model->loop_index();

                    printf( $html_format,
                        $model->get_title( $html_options ),
                        $model->get_event_location( $html_options ),
                        $model->get_event_date( $html_options ),
                        $model->post_meta['event_date_range']['from']
                    );

                }
                $model->reset();
            }

        ?>
	</div>
</div>
