<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Forbidden' ); }

// Set Image Size by Layout
switch ( $data['layout'] ) {
	case 'layout-1':
		$data['image_size'] = array(
			'large'           => '341x257',
			'no-image-large'  => '341x257'
		);
		break;
	case 'layout-2':
		$data['image_size'] = array(
			'large'           => '360x148',
			'no-image-large'  => '360x148'
		);
		break;
	default:
		break;
}

// Create new Event Model
$model = new SLZ_Event();
// Init model with default attributes
$model->init( $data );

// Make unique ID
$uniq_id = $model->attributes['uniq_id'];

// Set CSS class
$block_cls = $model->attributes['extra_class'] . ' ' . $uniq_id;

// Check if no post in query -> exit
if( ! $model->query->have_posts() ) {
    return;
}
?>
<div class="slz-shortcode event-slider sc_event_carousel <?php echo esc_attr( $block_cls ); ?>">
	<?php if( !empty( $data['title'] ) ): ?>
    <div class="slz-title-shortcode"><?php echo esc_html( $data['title'] ); ?></div>
    <?php endif; ?>
    <?php
    switch ( $model->attributes['layout'] ) {
        case 'layout-1':
	        echo slz_render_view( $instance->locate_path('/views/layout-1.php'), compact('model', 'data'));
            break;
        case 'layout-2':
	        echo slz_render_view( $instance->locate_path('/views/layout-2.php'), compact('model', 'data'));
            break;
        case 'layout-4':
            echo slz_render_view( $instance->locate_path('/views/layout-4.php'), compact('model', 'data'));
            break;
        default:
            echo slz_render_view( $instance->locate_path('/views/layout-1.php'), compact('model', 'data'));
            break;
    }
    ?>
</div>
<?php
    // Set custom CSS
    // Title
    $custom_css = '';
    if( !empty( $model->attributes['title_color'] ) ){
        $css_format = '.%1$s.sc_event_carousel .block-title { color:%2$s }';
        $custom_css .= sprintf( $css_format, esc_attr( $uniq_id ), esc_attr( $model->attributes['title_color'] ) );
    }
    if( !empty( $model->attributes['title_color_hv'] ) ){
        $css_format = '.%1$s.sc_event_carousel .block-title:hover { color:%2$s }';
        $custom_css .= sprintf( $css_format, esc_attr( $uniq_id ), esc_attr( $model->attributes['title_color_hv'] ) );
    }
    // Location
    if( !empty( $model->attributes['location_color'] ) ){
        $css_format = '.%1$s.sc_event_carousel .block-info .location-wrapper .place { color:%2$s }';
        $custom_css .= sprintf( $css_format, esc_attr( $uniq_id ), esc_attr( $model->attributes['location_color'] ) );
    }
    if( !empty( $model->attributes['location_color_hv'] ) ){
        $css_format = '.%1$s.sc_event_carousel .block-info .location-wrapper .place:hover { color:%2$s }';
        $custom_css .= sprintf( $css_format, esc_attr( $uniq_id ), esc_attr( $model->attributes['location_color_hv'] ) );
    }
    // Date
    if( !empty( $model->attributes['date_color'] ) ){
        $css_format = '.%1$s.sc_event_carousel .block-info .date-time-wrapper{ color:%2$s }';
        $custom_css .= sprintf( $css_format, esc_attr( $uniq_id ), esc_attr( $model->attributes['date_color'] ) );
    }
    if( !empty( $model->attributes['date_color_hv'] ) ){
        $css_format = '.%1$s.sc_event_carousel .block-info .date-time-wrapper:hover { color:%2$s }';
        $custom_css .= sprintf( $css_format, esc_attr( $uniq_id ), esc_attr( $model->attributes['date_color_hv'] ) );
    }
    // Countdown
    if( !empty( $model->attributes['countdown_color'] ) ){
        $css_format = '.%1$s.sc_event_carousel .coming-soon .main-count-wrapper .time,
        				.%1$s .coming-soon .main-count-wrapper .stat-label { color:%2$s }';
        $custom_css .= sprintf( $css_format, esc_attr( $uniq_id ), esc_attr( $model->attributes['countdown_color'] ) );
    }
    if ( !empty( $custom_css ) ) {
        do_action( 'slz_add_inline_style', $custom_css );
    }