<?php if ( ! defined('SLZ') ) {
    die('Forbidden');
}
$post_type = 'slz-event';
$limit_post = $instance['limit_post'];
$offset_post = $instance['offset_post'];
$title = $instance['title'];
$cat_id = $instance['cat_id'];

$atts = array(
    'limit_post'                => $limit_post,
    'offset_post'               => $offset_post,
    'image_size'                => $image_size,
    'image_display'             => 'show',
    'countdown_display'         => 'show',
    'slide_to_show'             => '1',
    'slide_autoplay'            => 'yes',
    'slide_dots'                => 'yes',
    'slide_arrows'              => 'yes',
    'slide_infinite'            => 'yes',
    'slide_speed'               => '600',
    'post_id'                   => '',
    'method'                    => 'cat',
    'event_time_display'        => 'show',
    'event_location_display'    => 'show',
    'description_display'       => 'show',
);

if( !empty( $cat_id ) ) {
    $arr_cat_id = explode( ',', rtrim( $cat_id, ',' ) );
    $category_slug = array();
    foreach( $arr_cat_id as $value ){
        if( !empty( $value ) ){
            $term = SLZ_Com::get_tax_options_by_id( $value, $post_type . '-cat' );
            if( $term ){
                $category_slug[] = $term->slug;
            }
        }
    }
    if( !empty( $category_slug ) ){
        $atts['category_slug'] = $category_slug;
    }
}

$model = new SLZ_Event();
$model->init( $atts );

$unique_id = SLZ_Com::make_id();
$html_render = array();
$html_render['image_format'] = '<div class="info-img">%1$s</div>';
$html_render['thumb_class']  = 'thumb-img';
$html_render['event_date']   = '<div class="date-wrapper">%2$s, %4$s, %3$s</div>';
$html_render['title_format'] = '<div class="title-wrapper"><a href="%2$s" class="title">%1$s</a></div>';
$html_format = '
	<div class="item">
        <div class="slz-event-01">
            <div class="event-wrapper">
                <div class="event-info info">
                    <div class="info-wrapper">
                        %2$s
                        <div class="info-content">
                            %3$s
                            %1$s
                        </div>
                    </div>
                </div>
                <div class="event-info price">
                    <div class="unit">ticket</div>
                    <div class="number">%10$s</div>
                </div>
            </div>
        </div>
    </div>
';

$html_render['html_format'] = $html_format;

echo ( $before_widget ); ?>
    <div class="wg-events wg-events-<?php echo esc_attr( $unique_id ); ?>"
         data-block-class="wg-events-<?php echo esc_attr( $unique_id ); ?>">
        <div class="title-widget widget-title"><?php echo wp_kses_post( $title ); ?></div>
        <div class="widget-content">
            <div class="slz-list-event-01">
                <div class="list-event">
                    <?php $model->render_event_sc( $html_render ); ?>
                </div>
            </div>
        </div>
    </div>
<?php
echo ( $after_widget );
?>