<?php
$sort_by = slz()->extensions->get( 'portfolio' )->get_config('sort_portfolio');
$column = array(
	esc_html__( 'One', 'solala' )    => '1',
	esc_html__( 'Two', 'solala' )    => '2',
	esc_html__( 'Three', 'solala' )  => '3',
	esc_html__( 'Four', 'solala' )   => '4',
	esc_html__( 'Five', 'solala' )   => '5',
	esc_html__( 'Six', 'solala' )    => '6',
);
$yes_no  = array(
	esc_html__('Yes', 'solala') => 'yes',
	esc_html__('No', 'solala')  => 'no',
);
$category_filter = array(
	esc_html__('No', 'solala')  => '',
	esc_html__('Yes', 'solala') => 'category'
);
$method = array(
	esc_html__( 'Category', 'solala' ) => 'cat',
	esc_html__( 'Project', 'solala' )  => 'portfolio'
);
$thumbs = array(
	esc_html__( 'Featured Image', 'solala' ) => '',
	esc_html__( 'Thumbnail', 'solala' )      => 'thumbnail',
	esc_html__( 'None', 'solala' )           => 'none',
);

$args = array('post_type'     => 'slz-portfolio');
$options = array('empty'      => esc_html__( '-All Projects-', 'solala' ) );
$portfolios = SLZ_Com::get_post_title2id( $args, $options );

$taxonomy = 'slz-portfolio-cat';
$params_cat = array('empty'   => esc_html__( '-All Project Categories-', 'solala' ) );
$portfolio_cat = SLZ_Com::get_tax_options2slug( $taxonomy, $params_cat );


$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'portfolio_list' );

$layouts = array(
	array (
		'type'              => 'dropdown',
		'heading'           => esc_html__( 'Layout', 'solala' ),
		'param_name'        => 'layout',
		'value'             => $shortcode->get_layouts(),
        'std'               => 'layout-1',
        'edit_field_class'  => 'hidden',
		'description'       => esc_html__( 'Choose layout will be displayed.', 'solala' )
	) 
);

$layout_options = $shortcode->get_layout_options();

$params = array(
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Columns', 'solala' ),
		'param_name'  => 'column',
		'value'       => $column,
		'std'         => '2',
		'description' => esc_html__( 'Choose number column will be displayed.', 'solala' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Image ?', 'solala' ),
		'param_name'  => 'show_thumbnail',
		'value'       => $thumbs,
		'description' => esc_html__( 'Show featured image or thumbnail.', 'solala' ),
		'dependency'  => array(
			'element'   => 'layout',
			'value'     => array('', 'layout-1', 'layout-2' )
		)
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Category ?', 'solala' ),
		'param_name'  => 'show_category',
		'value'       => $yes_no,
		'std'         => 'no',
		'description' => esc_html__( 'If choose Yes, block will be show category.', 'solala' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Meta Info ?', 'solala' ),
		'param_name'  => 'show_meta_info',
		'value'       => $yes_no,
		'std'         => 'no',
		'description' => esc_html__( 'If choose Yes, block will be show meta information.', 'solala' ),
		'dependency'  => array(
			'element'   => 'layout',
			'value'     => array('', 'layout-1' )
		)
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Description ?', 'solala' ),
		'param_name'  => 'show_description',
		'value'       => $yes_no,
		'std'         => 'yes',
		'description' => esc_html__( 'If choose Yes, block will be show description.', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Description Length', 'solala' ),
		'param_name'  => 'description_length',
		'description' => esc_html__( 'Limit words to display.', 'solala' ),
		'dependency'  => array(
			'element'   => 'show_description',
			'value'     => array( 'yes' )
		)
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Button Text', 'solala' ),
		'param_name'  => 'button_text',
		'description' => esc_html__( 'Enter text will be show button.', 'solala' )
	),
	array(
		'type'        => 'vc_link',
		'heading'     => esc_html__( 'Custom URL', 'solala' ),
		'param_name'  => 'custom_link',
		'description' => esc_html__( 'Enter custom url to button.', 'solala' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Pagination ?', 'solala' ),
		'param_name'  => 'pagination',
		'value'       => $yes_no,
		'std'         => 'no',
		'description' => esc_html__( 'If choose Yes, block will be show pagination.', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Limit Posts', 'solala' ),
		'param_name'  => 'limit_post',
		'value'       => '-1',
		'description' => esc_html__( 'Add limit posts per page. Set -1 or empty to show all. The number of posts to display. If it blank the number posts will be the number from Settings -> Reading', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Max Posts', 'solala' ),
		'param_name'  => 'max_post',
		'value'       => '',
		'description' => esc_html__( 'Add total posts when paging.', 'solala' ),
		'dependency'  => array(
			'element'   => 'pagination',
			'value'     => array( 'yes' )
		)
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Offset Post', 'solala' ),
		'param_name'  => 'offset_post',
		'value'       => '',
		'description' => esc_html__( 'Enter offset to pass over posts. If you want to start on record 6, using offset 5', 'solala' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Sort By', 'solala' ),
		'param_name'  => 'sort_by',
		'value'       => $sort_by,
		'description' => esc_html__( 'Select order to display list properties.', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'solala' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to block', 'solala' )
	),

	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Show Category Filter Tab', 'solala' ),
		'param_name'  => 'category_filter',
		'value'       => $category_filter,
		'description' => esc_html__( 'If choose Yes, a category filter will display on top of block.', 'solala' ),
		'group'       => esc_html__('Filter', 'solala')
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Filter Tab Text', 'solala' ),
		'param_name'  => 'category_filter_text',
		'value'       => esc_html__('All', 'solala'),
		'description' => esc_html__( 'Enter text for "All" tab.', 'solala' ),
		'dependency'  => array(
			'element'   => 'category_filter',
			'value'     => array( 'category' )
		),
		'group'       => esc_html__('Filter', 'solala')
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Filter By', 'solala' ),
		'param_name'  => 'method',
		'value'       => $method,
		'description' => esc_html__( 'Choose portfolio category or special portfolio to filter', 'solala' ),
		'group'       	=> esc_html__('Filter', 'solala')
	),
	array(
		'type'        => 'param_group',
		'heading'     => esc_html__( 'Category', 'solala' ),
		'param_name'  => 'list_category',
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Category', 'solala' ),
				'param_name'  => 'category_slug',
				'value'       => $portfolio_cat,
				'description' => esc_html__( 'Choose special category to filter', 'solala'  )
			),
		),
		'value'       => '',
		'description' => esc_html__( 'Choose Portfolio Category.', 'solala' ),
		'dependency'  => array(
			'element'   => 'method',
			'value'     => array( 'cat' )
		),
		'group'       => esc_html__('Filter', 'solala')
	),
	array(
		'type'        => 'param_group',
		'heading'     => esc_html__( 'Portfolio', 'solala' ),
		'param_name'  => 'list_post',
		'params'      => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Portfolio', 'solala' ),
				'param_name'  => 'post',
				'value'       => $portfolios,
				'description' => esc_html__( 'Choose special portfolio to show',  'solala'  )
			),
			
		),
		'value'       => '',
		'description' => esc_html__( 'Default display All Portfolio if no portfolio is selected and Number portfolio is empty.', 'solala' ),
		'dependency'  => array(
			'element'   => 'method',
			'value'     => array( 'portfolio' )
		),
		'group'       => esc_html__('Filter', 'solala')
	),


	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Title Color', 'solala' ),
		'param_name'  => 'color_title',
		'value'       => '',
		'description' => esc_html__( 'Choose color title for block.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Title Color Hover', 'solala' ),
		'param_name'  => 'color_title_hv',
		'value'       => '',
		'description' => esc_html__( 'Choose color title for block when hover.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Category Color', 'solala' ),
		'param_name'  => 'color_category',
		'value'       => '',
		'description' => esc_html__( 'Choose color category for block.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Category Color Hover', 'solala' ),
		'param_name'  => 'color_category_hv',
		'value'       => '',
		'description' => esc_html__( 'Choose color category for block when hover.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Meta Info Color', 'solala' ),
		'param_name'  => 'color_meta_info',
		'value'       => '',
		'description' => esc_html__( 'Choose color meta info for block.', 'solala' ),
		'dependency'  => array(
			'element'   => 'layout',
			'value'     => array('', 'layout-1' )
		),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Meta Info Color Hover', 'solala' ),
		'param_name'  => 'color_meta_info_hv',
		'value'       => '',
		'description' => esc_html__( 'Choose color meta info for block when hover.', 'solala' ),
		'dependency'  => array(
			'element'   => 'layout',
			'value'     => array('', 'layout-1' )
		),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Description Color', 'solala' ),
		'param_name'  => 'color_description',
		'value'       => '',
		'description' => esc_html__( 'Choose color description for block.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Background Image Color Hover', 'solala' ),
		'param_name'  => 'color_item_bg_hv',
		'value'       => '',
		'description' => esc_html__( 'Choose background color image for block when hover.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Color', 'solala' ),
		'param_name'  => 'color_button',
		'value'       => '',
		'description' => esc_html__( 'Choose color button for block.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Color Hover', 'solala' ),
		'param_name'  => 'color_button_hv',
		'value'       => '',
		'description' => esc_html__( 'Choose color button for block when hover.', 'solala' ),
		'group'       => esc_html__('Custom', 'solala')
	)
);

$vc_options = array_merge( 
	$layouts,
	$layout_options,
	$params
);
