<?php if ( ! defined( 'SLZ' ) ) die( 'Forbidden' ); ?>
<?php
/**
 * The template for displaying the service detail content
 *
 * @package WordPress
 * @subpackage solazu-core
 * @since 1.0
 */
get_header();
$slz_container_css = slz_extra_get_container_class();
?>
<div class="slz-main-content padding-top-100 padding-bottom-100">
	<div class="container">
		<div class="slz-blog-detail slz-portfolio <?php echo esc_attr( $slz_container_css['sidebar_layout_class'] ); ?>">
			<div class="row">
				<div id="page-content" class="slz-content-column <?php echo esc_attr( $slz_container_css['content_class'] ); ?>">
					<?php
                        $format_html = '<div class="slz-portfolio-content">
                                            %1$s
                                            <div class="content">
                                                %2$s
                                                %3$s
                                                %4$s
                                                %5$s
                                            </div>
                                         
                                        </div>
                                        %6$s';
                        $id = get_the_ID();
                        $args = array(
                            'post_id'    => array( $id ),
                            'image_size' => slz_ext( 'portfolio' )->get_config('image_size/portfolio'),
                        );
                        $model = new SLZ_Portfolio();
                        $model->init( $args );
                        if( $model->query->have_posts() ) {
                            while ($model->query->have_posts()):
                                $model->query->the_post();
                                $model->loop_index();

                                $thumbnail = $model->get_post_image();
                                $title = $model->get_title();
                                $rating = '';
                                $artist = $model->get_meta_album_artist();
                                $price = $model->get_meta_album_price();
                                $playlist = $model->get_meta_album_playlist();
                                echo sprintf($format_html, $thumbnail, $title, $rating, $artist, $price, $playlist);
                                ?>
                                <div class="project-detail-wrapper">
                                    <div class="entry-content">
                                        <?php
                                        the_content( sprintf( '<a href="%s" class="read-more">%s<i class="fa fa-angle-right"></i></a>',
                                            get_permalink(),
                                            esc_html__( 'Read more', 'solala' )
                                        ) );

                                        wp_link_pages( array(
                                            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'solala' ) . '</span>',
                                            'after'       => '</div>',
                                            'link_before' => '<span>',
                                            'link_after'  => '</span>',
                                        ) );
                                        ?>
                                    </div>
                                    <?php
                                    if ( comments_open() || get_comments_number() ) :
                                        comments_template();
                                    endif;
                                    ?>
                                </div>
                                <?php
                            endwhile;
                        }
					?>
				</div>

				<?php if ( $slz_container_css['show_sidebar'] ) :?>
					<div id='page-sidebar' class="slz-sidebar-column slz-widgets <?php echo esc_attr( $slz_container_css['sidebar_class'] ); ?>">
						<?php dynamic_sidebar( $slz_container_css['sidebar'] ); ?>
					</div>
				<?php endif; ?>
				<div class="clearfix"></div>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>