<?php

$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'button' );

$v_alignment =  array(
	esc_html__('Left', 'solala')   => 'text-l',
	esc_html__('Right', 'solala')  => 'text-r',
	esc_html__('Center', 'solala') => 'text-c'
);

$postion_arr = array(
	esc_html__( 'Right', 'solala' ) => 'right',
	esc_html__( 'Left', 'solala' )  => 'left'
);

$border_style = array(
    esc_html__( 'Solid', 'solala' ) => 'solid',
    esc_html__( 'Dotted', 'solala' ) => 'dotted',
    esc_html__( 'Dashed', 'solala' ) => 'dashed',
    esc_html__( 'Double', 'solala' ) => 'double',
    esc_html__( 'Groove', 'solala' ) => 'groove',
    esc_html__( 'Ridge', 'solala' ) => 'ridge',
    esc_html__( 'Inset', 'solala' ) => 'inset',
    esc_html__( 'Outset', 'solala' ) => 'outset',
    esc_html__( 'None', 'solala' ) => 'none',
    esc_html__( 'Hidden', 'solala' ) => 'hidden',
);


$alignment = array(
	array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( ' Button Alignment', 'solala' ),
        'param_name'  => 'alignment',
        'value'       => $v_alignment,
        'std'         => 'text-l',
        'description' => esc_html__( 'Choose alignment for show', 'solala' )
    )
);

$params = array(
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Button Layout', 'solala' ),
		'param_name'  => 'layout',
		'value'       => $shortcode->get_layouts(),
		'std'         => 'layout-1',
		'description' => esc_html__( 'Choose layout to show', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Button Text', 'solala' ),
		'param_name'  => 'title',
		'value'       => '',
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'description' => esc_html__( 'Enter text on button.', 'solala' )
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Button Box Shadow?', 'solala' ),
		'param_name'  => 'box_shadow',
		'description' => esc_html__( 'Add a box-shadow to button', 'solala' )
	),
	array(
		'type'        => 'vc_link',
		'heading'     => esc_html__( 'Button Link', 'solala' ),
		'param_name'  => 'button_link',
		'value'       => '',
		'description' => esc_html__( 'Choose button link.', 'solala' )
	),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Border Width', 'solala' ),
        'param_name'  => 'border_width',
        'value'       => '',
        'description' => esc_html__( 'Unit is px ( ex: 1px ).', 'solala' )
    ),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Border Style', 'solala' ),
        'param_name'  => 'border_style',
        'value'       => $border_style,
        'std'         => '',
        'description' => esc_html__( 'Choose border style for button.', 'solala' )
    ),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Border Radius', 'solala' ),
		'param_name'  => 'border_radius',
		'value'       => '',
		'description' => esc_html__( 'Unit is px ( ex:50 ).', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Button Margin Right', 'solala' ),
		'param_name'  => 'margin_right',
		'value'       => '',
		'description' => esc_html__( 'Unit is px ( ex:50 ).', 'solala' )
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Background Color', 'solala' ),
		'param_name'  => 'bg_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom background color.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Background Color Hover', 'solala' ),
		'param_name'  => 'bg_color_hover',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom background color hover.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Text Color', 'solala' ),
		'param_name'  => 'btn_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom color for button text.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Text Color Hover', 'solala' ),
		'param_name'  => 'btn_color_hover',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom color hover for button text.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Border Color', 'solala' ),
		'param_name'  => 'btn_border_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom border color for button.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Button Border Color Hover', 'solala' ),
		'param_name'  => 'btn_border_color_hover',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom border color hover for button.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	)
);
$icon_dependency = array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		);
$icon_options = $shortcode->get_icon_library_options( $icon_dependency );
$params_02 = array(
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Icon Position', 'solala' ),
		'param_name'  => 'icon_position',
		'value'       => $postion_arr,
		'std'         => 'left',
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'description' => esc_html__( 'Select the display position for the icon.', 'solala' )
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Icon Box Shadow?', 'solala' ),
		'param_name'  => 'icon_box_shadow',
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'description' => esc_html__( 'Add a box-shadow to icon of button', 'solala' )
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Icon Color', 'solala' ),
		'param_name'  => 'icon_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom color for icon.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Icon Background Color', 'solala' ),
		'param_name'  => 'icon_bg_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom color for background of icon.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Icon Hover Color', 'solala' ),
		'param_name'  => 'icon_hv_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom color for icon when hover.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-1','layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Icon Background Hover Color', 'solala' ),
		'param_name'  => 'icon_bg_hv_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom color for background of icon when hover.', 'solala' ),
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-3')
		),
		'edit_field_class' => 'vc_col-sm-6 vc_column'
	),
	array(
		'type'        => 'attach_image',
		'heading'     => esc_html__( 'Upload Image', 'solala' ),
		'param_name'  => 'btn-image',
		'dependency'  => array(
			'element'  => 'layout',
			'value'    => array('layout-2')
		),
		'description' => esc_html__('Upload one image to make background for button.', 'solala')
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'solala' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to button', 'solala' )
	)
);


$vc_options = array(
	array(
		'type'       => 'param_group',
		'heading'    => esc_html__( 'Add New Button', 'solala' ),
		'param_name' => 'btn',
		'params'     => array_merge( $params, $icon_options, $params_02 ),
		'value'      => ''
	),
);

$vc_options = array_merge(
	$alignment, $vc_options
);
