<?php
$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'contact' );

$column = array(
    esc_html__( 'One', 'solala' )   => '1',
    esc_html__( 'Two', 'solala' )   => '2',
    esc_html__( 'Three', 'solala' ) => '3',
    esc_html__( 'Four', 'solala' )  => '4',
);

$params = array(
    array(
        'type'            => 'dropdown',
        'heading'         => esc_html__( 'Column', 'solala' ),
        'param_name'      => 'column',
        'value'           => $column,
        'std'             => '3',
        'description'     => esc_html__( 'Choose number of column for this contact.', 'solala' ),
    ),
	array(
		'type'            => 'param_group',
		'heading'         => esc_html__( 'Add Contact Info', 'solala' ),
		'param_name'      => 'array_info',
		'params'          => array(
            array(
                'type'           => 'dropdown',
                'heading'        => esc_html__( 'Select', 'solala' ),
                'param_name'     => 'select_type',
                'description'    => esc_html__( 'Select contact:', 'solala' ),
                'value'          => array(esc_html__( 'Icon', 'solala' )   => 'icon', esc_html__( 'Image', 'solala' )   => 'image', esc_html__( 'Empty', 'solala' )   => 'empty'),
                'std'            => 'icon'
            ),
            array(
                'type'           => 'iconpicker',
                'heading'        => esc_html__( 'Icon', 'solala' ),
                'param_name'     => 'contact_icon',
                'description'    => esc_html__( 'Choose icon for main information.', 'solala' ),
                'dependency'     => array(
                    'element'  => 'select_type',
                    'value'    => array('icon')
                )
            ),
            array(
                'type'           => 'attach_image',
                'heading'        => esc_html__( 'Image', 'solala' ),
                'param_name'     => 'contact_image',
                'description'    => esc_html__( 'Choose Image for main information.', 'solala' ),
                'dependency'     => array(
                    'element'  => 'select_type',
                    'value'    => array('image')
                )
            ),
            array(
                'type'           => 'textarea',
                'heading'        => esc_html__( 'Title', 'solala' ),
                'param_name'     => 'title',
                'description'    => esc_html__( 'Enter title for main information.', 'solala' )
            ),
            array(
                'type'            => 'param_group',
                'heading'         => esc_html__( 'Sub Information', 'solala' ),
                'param_name'      => 'array_sub_info_item',
                'params'          => array(
                    array(
                        'type'           => 'textfield',
                        'heading'        => esc_html__( 'Title', 'solala' ),
                        'param_name'     => 'sub_info',
                        'description'    => esc_html__( 'Enter title for sub information', 'solala' ),
                    ),
                    array(
                        'type'           => 'iconpicker',
                        'heading'        => esc_html__( 'Icon', 'solala' ),
                        'param_name'     => 'sub_info_icon',
                        'description'    => esc_html__( 'Choose icon for sub information.', 'solala' ),
                    ),
                )
            ),
            array(
                'type'            => 'param_group',
                'heading'         => esc_html__( 'Icon social', 'solala' ),
                'param_name'      => 'array_icon_social',
                'params'          => array(
                    array(
                        'type'           => 'vc_link',
                        'heading'        => esc_html__( 'link', 'solala' ),
                        'param_name'     => 'social_link',
                        'description'    => esc_html__( 'Enter link social', 'solala' ),
                    ),
                    array(
                        'type'           => 'iconpicker',
                        'heading'        => esc_html__( 'icon', 'solala' ),
                        'param_name'     => 'social_icon',
                        'description'    => esc_html__( 'Enter link social', 'solala' ),
                    ),

                )
            ),
		),
	),
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Extra Class', 'solala' ),
        'param_name'  => 'extra_class',
        'value'       => '',
        'description' => esc_html__( 'Add extra class for block', 'solala' ),
    ),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Main Info Color', 'solala' ),
		'param_name'      => 'title_color',
		'value'           => '',
		'group'           => esc_html__( 'Custom Css', 'solala'),
		'description'     => esc_html__( 'Select color for main information.', 'solala' ),
	),
    array(
        'type'            => 'colorpicker',
        'heading'         => esc_html__( 'Main Info Background Color', 'solala' ),
        'param_name'      => 'main_bg_color',
        'value'           => '',
        'group'           => esc_html__( 'Custom Css', 'solala'),
        'description'     => esc_html__( 'Select background color for main information.', 'solala' ),
    ),
    array(
        'type'            => 'colorpicker',
        'heading'         => esc_html__( 'Main Info Icon Color', 'solala' ),
        'param_name'      => 'main_icon_color',
        'value'           => '',
        'group'           => esc_html__( 'Custom Css', 'solala'),
        'description'     => esc_html__( 'Select color for main information icon.', 'solala' ),
    ),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Sub Info Color', 'solala' ),
		'param_name'      => 'info_color',
		'value'           => '',
		'group'           => esc_html__( 'Custom Css', 'solala'),
		'description'     => esc_html__( 'Select color for sub information.', 'solala' ),
	),
    array(
        'type'            => 'colorpicker',
        'heading'         => esc_html__( 'Sub Info Icon Color', 'solala' ),
        'param_name'      => 'sub_icon_color',
        'value'           => '',
        'group'           => esc_html__( 'Custom Css', 'solala'),
        'description'     => esc_html__( 'Select color for sub information icon.', 'solala' ),
    ),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Block Border Color', 'solala' ),
		'param_name'      => 'border_color',
		'value'           => '',
		'group'           => esc_html__( 'Custom Css', 'solala'),
		'description'     => esc_html__( 'Select color for vertical separator between items..', 'solala' ),
	),
	array(
		'type'            => 'colorpicker',
		'heading'         => esc_html__( 'Block Background Color', 'solala' ),
		'param_name'      => 'bg_color',
		'value'           => '',
		'group'           => esc_html__( 'Custom Css', 'solala'),
		'description'     => esc_html__( 'Select background color for block.', 'solala' ),
	),
);

$vc_options = array_merge( 
	$params
);