<?php

$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'icon_box' );

$icon_type = SLZ_Params::get('icon-type');
$icon_type_no_img = SLZ_Params::get('icon-type-no-img');

$style_view = array(
	esc_html__('Horizontal', 'solala')  => '',
	esc_html__('Vertical', 'solala')  => '1',
);
$style1_custom = array(
	esc_html__( '1 image or 1 Icon', 'solala' ) => '',
	esc_html__( 'Multi image and Icon', 'solala' ) => '1'
);
$column_arr = array(
	esc_html__( 'None', 'solala' )  => '',
	esc_html__('One', 'solala')     => '1',
	esc_html__('Two', 'solala')     => '2',
	esc_html__('Three', 'solala')   => '3',
	esc_html__('Four', 'solala')    => '4',
);

$styles = array(
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Layout', 'solala' ),
		'param_name'  => 'layout',
        'edit_field_class' => 'hidden',
		'value'       => $shortcode->get_layouts(),
		'std'         => 'layout-1',
		'description' => esc_html__( 'Choose layout to show', 'solala' )
	),
	
);

$columns = array(
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Column', 'solala' ),
		'param_name'  => 'column',
		'value'       => $column_arr,
		'std'         => '',
		'description' => esc_html__( 'Choose number of columns to show', 'solala' )
	),
	array(
		'type'        => 'checkbox',
		'heading'     => esc_html__( 'Show Numerical Order?', 'solala' ),
		'param_name'  => 'show_number',
		'description' => esc_html__( 'Displays the number order of each item', 'solala' ),
	),
);

$params = $shortcode->get_layout_options();

$extra_class = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'solala' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to block', 'solala' )
	)
);

$title = array(
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Title', 'solala' ),
        'param_name'  => 'title',
        'value'       => '',
        'description' => esc_html__( 'Title. If it blank the will not have a title', 'solala' )
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Title Color', 'solala' ),
        'param_name'  => 'title_color',
        'value'       => '',
        'description' => esc_html__( 'Choose a custom title text color.', 'solala' )
    ),
);

$vc_options = array_merge(
	$title,
    $styles,
	$columns,
	$params,
	$extra_class
);