<?php

$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'posts_block' );

$block_title = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Block Title', 'solala' ),
		'param_name'  => 'block_title',
		'value'       => '',
		'description' => esc_html__( 'Block title. If it blank the block will not have a title', 'solala' )
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Block Title Color', 'solala' ),
		'param_name'  => 'block_title_color',
		'value'       => '',
		'description' => esc_html__( 'Choose a custom title text color.', 'solala' )
	),
);

$layouts = array(
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Layouts', 'solala' ),
		'param_name'  => 'layout',
		'value'       => $shortcode->get_layouts(),
		'std'         => 'layout-1',
		'description' => esc_html__( 'Choose layout to show', 'solala' )
	),
);

$params = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Number Posts', 'solala' ),
		'param_name'  => 'limit_post',
		'value'       => '5',
		'description' => esc_html__( 'The number of posts to display. If it blank the number posts will be the number from Settings -> Reading', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Offset Posts', 'solala' ),
		'param_name'  => 'offset_post',
		'value'       => '',
		'description' => esc_html__( 'Enter offset to display. If you want to start on record 6, using offset 5', 'solala' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Sort By', 'solala' ),
		'param_name'  => 'sort_by',
		'value'       => slz()->backend->get_param('sort_blog'),
		'description' => esc_html__( 'Choose criteria to display.', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Excerpt Length', 'solala' ),
		'param_name'  => 'excerpt_length',
		'value'       => '15',
		'description' => esc_html__( 'Enter number of excerpt length', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'solala' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to block', 'solala' )
	),

    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Title Color', 'solala' ),
        'param_name'  => 'title_color',
        'description' => esc_html__( 'Choose a custom color for title.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Title Color Hover', 'solala' ),
        'param_name'  => 'title_color_hover',
        'description' => esc_html__( 'Choose a custom color for title when hover.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Description Color', 'solala' ),
        'param_name'  => 'description_color',
        'description' => esc_html__( 'Choose a custom color for description.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
        'dependency'  => array(
            'element'   => 'layout',
            'value'     => array('layout-3' )
        )
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Description Color Hover', 'solala' ),
        'param_name'  => 'description_color_hover',
        'description' => esc_html__( 'Choose a custom color for description when hover.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
        'dependency'  => array(
            'element'   => 'layout',
            'value'     => array('layout-3' )
        )
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Information Color', 'solala' ),
        'param_name'  => 'info_color',
        'description' => esc_html__( 'Choose a custom color for information.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Information Color Hover', 'solala' ),
        'param_name'  => 'info_color_hover',
        'description' => esc_html__( 'Choose a custom color for information when hover.', 'solala' ),
        'group'       => esc_html__('Custom Color', 'solala'),
    ),


);
$style_options = $shortcode->get_layout_options();

$vc_options = array_merge(
	$block_title,
	$layouts,
	$style_options,
	$params,
	slz()->backend->get_param('shortcode_filter'),
	slz()->backend->get_param('shortcode_paging_no_load_more'),
	slz()->backend->get_param('shortcode_ajax_filter')
);
