<?php

$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'video' );

$style = array(
    esc_html__ ( 'Florida', 'solala' )    => 'style-1',
    esc_html__ ( 'California', 'solala' ) => 'style-2'
);

$video_type = array(
	esc_html__('Youtube', 'solala')         => 'youtube',
	esc_html__('Vimeo', 'solala')           => 'vimeo'
);

$align = array(
    esc_html__( 'Left', 'solala' )      => 'text-l',
    esc_html__( 'Right', 'solala' )      => 'text-r',
    esc_html__( 'Center', 'solala' )      => 'text-c',
);

$vc_options = array(
    array (
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Style', 'solala' ),
        'param_name'  => 'style',
        'value'       => $style,
        'description' => esc_html__( 'Choose style will be displayed.', 'solala' )
    ),
	array(
		'type'           => 'attach_image',
		'heading'        => esc_html__( 'Add Video Background Image', 'solala' ),
		'param_name'     => 'image_video',
		'value'          => '',
		'description'    => esc_html__( 'Choose background image to add.', 'solala' )
	),
	array(
		'type'           => 'textfield',
		'heading'        => esc_html__( 'Video height', 'solala' ),
		'param_name'     => 'height',
		'value'          => '',
		'description'    => esc_html__( 'Set height for video. Example: 75% - means video height by 75% video width.', 'solala' )
	),
	array(
		'type'           => 'textfield',
		'heading'        => esc_html__( 'Video Title', 'solala' ),
		'param_name'     => 'title',
		'value'          => '',
		'description'    => esc_html__( 'Set title for video.', 'solala' )
	),
    array(
        'type'        => 'textarea_html',
        'heading'     => esc_html__( 'Description', 'solala' ),
        'param_name'  => 'content',
        'value'       => '',
        'description' => esc_html__( 'Description for this video.', 'solala' ),
        'dependency'    => array(
            'element'   => 'style',
            'value'     => array( 'style-1' )
        ),
    ),
	array(
		'type'           => 'dropdown',
		'heading'        => esc_html__( 'Video Type', 'solala' ),
		'param_name'     => 'video_type',
		'value'          => $video_type,
		'description'    => esc_html__( 'Choose Type of Video.', 'solala' )
	),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Align', 'solala' ),
        'param_name'  => 'align',
        'value'       => $align,
        'std'         => 'text-l',
        'description' => esc_html__( 'Choose align for video box', 'solala' ),
    ),
	array(
		'type'           => 'textfield',
		'heading'        => esc_html__( 'Youtube ID', 'solala' ),
		'param_name'     => 'id_youtube',
		'value'          => '',
		'description'    => esc_html__( 'Example: the Video ID for https://www.youtube.com/watch?v=PDWvcsTloJo is ', 'solala' )
							.'<strong>PDWvcsTloJo</strong>',
		'dependency'     => array(
			'element'    => 'video_type',
			'value'      => array( 'youtube' )
		)
	),
	array(
		'type'           => 'textfield',
		'heading'        => esc_html__( 'Vimeo ID', 'solala' ),
		'param_name'     => 'id_vimeo',
		'value'          => '',
		'description'    => esc_html__( 'Example: the Video ID for https://vimeo.com/162913890 is ', 'solala' ) . '<strong>162913890</strong>',
		'dependency'     => array(
			'element'    => 'video_type',
			'value'      => array( 'vimeo' )
		)
	),
	array(
		'type'           => 'textfield',
		'heading'        => esc_html__( 'Extra Class', 'solala' ),
		'param_name'     => 'extra_class',
		'value'          => '',
		'description'    => esc_html__( 'Enter extra class name.', 'solala' )
	)
);