<?php if ( ! defined( 'SLZ' ) ) {
    die( 'Forbidden' );
}
$unique_id = SLZ_Com::make_id();
$uniq_id = 'video-' . $unique_id;

$style = ! empty( $data['style'] ) ? $data['style'] : 'style-1';

$video_url = $image_url =  $title  = $description = '';

if( !empty( $data['image_video'] ) ){
    $image_url = wp_get_attachment_url( $data['image_video'] );
}

if ( $data['video_type'] == 'youtube' && !empty( $data['id_youtube'] ) ) {
    $video_url = 'https://www.youtube.com/embed/' . esc_attr( $data['id_youtube'] );
}
elseif ( $data['video_type'] == 'vimeo' && !empty( $data['id_vimeo'] ) ) {
    $video_url = 'https://player.vimeo.com/video/' . esc_attr( $data['id_vimeo'] );
}
if( ! empty( $data['title'] ) ) {
    $title = '<div class="title">'. ( $data['title'] ) .'</div>';
}

if( ! empty( $data['content'] ) ) {
    $description = '<div>'. ( $data['content'] ) .'</div>';
}

if ( !empty( $image_url ) && !empty( $video_url ) ):
?>
    <?php switch ( $style ) {
        case 'style-1': ?>
            <div class="slz-shortcode sc-video slz-block-video <?php echo esc_attr( $uniq_id ).' '.esc_attr($data['extra_class']); ?>">
                <div class="block-video <?php echo esc_attr( $data['align'] ); ?>">
                    <div class="wrapper-video">
                        <?php echo wp_kses_post($title); ?>
                        <?php echo wp_kses_post($description); ?>
                        <?php echo '<a href="javascript:void(0)" data-toggle="modal" data-target="#videoModal-'. esc_attr( $unique_id ) .'" class="link">'; ?>
                        <div class="btn-play" data-video_modal="#videoModal-<?php echo esc_attr( $unique_id ); ?>" data-url="<?php echo esc_attr($video_url); ?>">
                            <i class="icons fa fa-play"></i>
                        </div>
                        <?php echo '</a>'; ?>
                    </div>
                    <img src="<?php echo esc_url( $image_url ); ?>" alt="" class="img-full"/>
                </div>
            </div>
        <?php break;
        case 'style-2': ?>
            <div class="slz-shortcode sc-video slz-block-video style-2 <?php echo esc_attr( $uniq_id ).' '.esc_attr($data['extra_class']); ?>">
                <div class="block-video <?php echo esc_attr( $data['align'] ); ?>">
                    <div class="wrapper-video">
                        <?php echo '<a href="javascript:void(0)" data-toggle="modal" data-target="#videoModal-'. esc_attr( $unique_id ) .'" class="link">'; ?>
                        <div class="btn-play" data-video_modal="#videoModal-<?php echo esc_attr( $unique_id ); ?>" data-url="<?php echo esc_attr($video_url); ?>">
                            <i class="icons fa fa-play"></i>
                        </div>
                        <?php echo '</a>'; ?>
                    </div>
                    <img src="<?php echo esc_url( $image_url ); ?>" alt="" class="img-style-2"/>
                </div>
                <?php echo wp_kses_post($title); ?>
            </div>
        <?php break;
        default: ?>
            <div class="slz-shortcode sc-video slz-block-video <?php echo esc_attr( $uniq_id ).' '.esc_attr($data['extra_class']); ?>">
                <div class="block-video <?php echo esc_attr( $data['align'] ); ?>">
                    <div class="wrapper-video">
                        <?php echo wp_kses_post($title); ?>
                        <?php echo wp_kses_post($description); ?>
                        <?php echo '<a href="javascript:void(0)" data-toggle="modal" data-target="#videoModal-'. esc_attr( $unique_id ) .'" class="link">'; ?>
                        <div class="btn-play" data-video_modal="#videoModal-<?php echo esc_attr( $unique_id ); ?>" data-url="<?php echo esc_attr($video_url); ?>">
                            <i class="icons fa fa-play"></i>
                        </div>
                        <?php echo '</a>'; ?>
                    </div>
                    <img src="<?php echo esc_url( $image_url ); ?>" alt="" class="img-full"/>
                </div>
            </div>
    <?php } ?>
<?php
echo '
	<div id="videoModal-'. esc_attr( $unique_id ) .'" tabindex="-1" role="dialog" aria-labelledby="videoModal-'. esc_attr( $unique_id ) .'" aria-hidden="true" class="slz-video-modal modal fade">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-body">
					<button type="button" data-dismiss="modal" aria-hidden="true" class="close">&times;</button>
					<div>
						'. $instance->iframe_render( $video_url ) .'
					</div>
				</div>
			</div>
		</div>
	</div>
';
?>
<?php
    if ( !empty( $data['height'] ) ) {
        $custom_css = sprintf( '.%1$s.slz-block-video .block-video::before{ padding-top:%2$s ; }',
                                esc_attr( $uniq_id ),esc_attr( $data['height'] ) );
        do_action( 'slz_add_inline_style', $custom_css );
    }
endif;
