<?php
$sort_by = SLZ_Params::get('sort-other');

$yes_no = array(
	esc_html__( 'Yes', 'solala' ) => 'yes',
	esc_html__( 'No', 'solala' )  => 'no',
);

$yes_no_2 = array(
	esc_html__( 'Yes', 'solala' ) => '1',
	esc_html__( 'No', 'solala' )  => '0',
);

$method = array(
	esc_html__( 'Category', 'solala' )    => 'cat',
	esc_html__( 'Testimonial', 'solala' ) => 'testimonial'
);

$args         = array( 'post_type' => 'slz-testimonial' );
$options      = array( 'empty' => esc_html__( '-All Testimonial-', 'solala' ) );
$testimonials = SLZ_Com::get_post_title2id( $args, $options );

$taxonomy        = 'slz-testimonial-cat';
$params_cat      = array( 'empty' => esc_html__( '-All Testimonial Categories-', 'solala' ) );
$testimonial_cat = SLZ_Com::get_tax_options2slug( $taxonomy, $params_cat );

$animation = array(
	esc_html__( 'Slide', 'solala' ) => '0',
	esc_html__( 'Fade', 'solala' )  => '1'
);

$shortcode = slz_ext( 'shortcodes' )->get_shortcode( 'testimonial' );

/* layout */
$layouts = array(
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Layout', 'solala' ),
		'param_name'    => 'layout',
		'value'         => $shortcode->get_layouts(),
		'std'           => 'layout-1',
		'description'   => esc_html__( 'Choose layout will be displayed.', 'solala' ),
		'edit_field_class' => 'hidden'
	)
);

/* layout options */
$layouts_option = $shortcode->get_layout_options();

/* title options */
$title = array(
    array(
        'type'        => 'textfield',
        'heading'     => esc_html__( 'Shortcode Title', 'solala' ),
        'param_name'  => 'sc_title',
        'value'       => '',
        'description' => esc_html__( 'Title. If it blank the will not have a title', 'solala' )
    ),
    array(
        'type'        => 'colorpicker',
        'heading'     => esc_html__( 'Shortcode Title Color', 'solala' ),
        'param_name'  => 'sc_title_color',
        'value'       => '',
        'description' => esc_html__( 'Choose a custom title text color.', 'solala' )
    ),
);
/* params */
$params = array(
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Show Position ?', 'solala' ),
		'param_name'  	=> 'show_position',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'If choose Yes, block will be show position.', 'solala' ),
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Show Description ?', 'solala' ),
		'param_name'  	=> 'show_description',
		'value'       	=> $yes_no,
		'std'      		=> 'yes',
		'description' 	=> esc_html__( 'If choose Yes, block will be show description.', 'solala' ),
	),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Avatar Image', 'solala' ),
        'param_name'  => 'show_image_1',
        'value'       => array(
            esc_html__('Show Feature Image', 'solala') => '2',
            esc_html__('Show Icon', 'solala') => '1',
            esc_html__('Show Thumbnail Image', 'solala') => '0'
        ),
        'std'         => '',
        'description' => esc_html__( 'Select image type for Avatar.', 'solala' ),
    	'dependency'  => array(
    		'element'   => 'layout',
    		'value_not_equal_to'     => array( 'layout-5' )
    	),
    ),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Limit Posts', 'solala' ),
		'param_name'  => 'limit_post',
		'value'       => '-1',
		'description' => esc_html__( 'Add limit posts per page. Set -1 or empty to show all. The number of posts to display. If it blank the number posts will be the number from Settings -> Reading', 'solala' )
	),
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Offset Post', 'solala' ),
		'param_name'  => 'offset_post',
		'value'       => '',
		'description' => esc_html__( 'Enter offset to pass over posts. If you want to start on record 6, using offset 5', 'solala' )
	),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Sort By', 'solala' ),
		'param_name'  => 'sort_by',
		'value'       => $sort_by,
		'description' => esc_html__( 'Select order to display list properties.', 'solala' )
	),
    array(
        'type'        => 'dropdown',
        'heading'     => esc_html__( 'Addition Image', 'solala' ),
        'param_name'  => 'show_image_2',
        'value'       => array(
            esc_html__('Show Feature Image', 'solala') => '2',
            esc_html__('Show Icon', 'solala') => '1',
            esc_html__('Show Thumbnail Image', 'solala') => '0'
        ),
        'std'         => '0',
        'description' => esc_html__( 'Select image for image above title.', 'solala' ),
        'dependency'  => array(
            'element'   => 'layout',
            'value'     => array( 'layout-2' )
        ),
    ),
	array(
		'type'        => 'dropdown',
		'heading'     => esc_html__( 'Display By', 'solala' ),
		'param_name'  => 'method',
		'value'       => $method,
		'description' => esc_html__( 'Choose testimonial category or special testimonials to display', 'solala' ),
		'group'       	=> esc_html__('Filter', 'solala'),
	),
	array(
		'type'        => 'param_group',
		'heading'     => esc_html__( 'Category', 'solala' ),
		'param_name'  => 'list_category',
		'params'     => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Category', 'solala' ),
				'param_name'  => 'category_slug',
				'value'       => $testimonial_cat,
				'description' => esc_html__( 'Choose special category to filter', 'solala'  )
			),
		),
		'value'       => '',
		'description' => esc_html__( 'Choose Testimonial Category.', 'solala' ),
		'dependency'  => array(
			'element'   => 'method',
			'value'     => array( 'cat' )
		),
		'group'       	=> esc_html__('Filter', 'solala'),
	),
	array(
		'type'            => 'param_group',
		'heading'         => esc_html__( 'Testimonials', 'solala' ),
		'param_name'      => 'list_post',
		'params'          => array(
			array(
				'type'        => 'dropdown',
				'admin_label' => true,
				'heading'     => esc_html__( 'Add Testimonial', 'solala' ),
				'param_name'  => 'post',
				'value'       => $testimonials,
				'description' => esc_html__( 'Choose special testimonial to show',  'solala')
			),
			
		),
		'value'           => '',
		'description'     => esc_html__( 'Default display All Testimonial if no testimonial is selected and Number testimonial is empty.', 'solala' ),
		'dependency'  => array(
			'element'   => 'method',
			'value'     => array( 'testimonial' )
		),
		'group'       	=> esc_html__('Filter', 'solala'),
	),
);

/*extra class*/
$extra_class = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Extra Class', 'solala' ),
		'param_name'  => 'extra_class',
		'value'       => '',
		'description' => esc_html__( 'Add extra class to block', 'solala' )
	),
);

/* custom css */
$custom_css = array(
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Title Color', 'solala' ),
		'param_name'  => 'title_color',
		'description' => esc_html__( 'Please choose title color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Position Color', 'solala' ),
		'param_name'  => 'position_color',
		'description' => esc_html__( 'Please choose position color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Description Color', 'solala' ),
		'param_name'  => 'description_color',
		'description' => esc_html__( 'Please choose description color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala')
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Icon Color', 'solala' ),
		'param_name'  => 'icon_color',
		'description' => esc_html__( 'Please choose icon color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala'),
		'dependency'  => array(
			'element'   => 'show_image_1',
			'value'     => array( '1' )
		),
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Dots Color', 'solala' ),
		'param_name'  => 'dots_color',
		'dependency'    => array(
			'element'   => 'show_dots',
			'value'     => array( '1' )
		),
		'description' => esc_html__( 'Please choose dots color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala'),
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Arrows Color', 'solala' ),
		'param_name'  => 'arrows_color',
		'dependency'    => array(
			'element'   => 'show_arrows',
			'value'     => array( '1' )
		),
		'description' => esc_html__( 'Please choose arrows color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala'),
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Arrows Hover Color', 'solala' ),
		'param_name'  => 'arrows_hv_color',
		'dependency'    => array(
			'element'   => 'show_arrows',
			'value'     => array( '1' )
		),
		'description' => esc_html__( 'Please choose arrows background  color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala'),
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Arrows Background Color', 'solala' ),
		'param_name'  => 'arrows_bg_color',
		'dependency'    => array(
			'element'   => 'show_arrows',
			'value'     => array( '1' )
		),
		'description' => esc_html__( 'Please choose arrows background  color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala'),
	),
	array(
		'type'        => 'colorpicker',
		'heading'     => esc_html__( 'Arrows Background Hover Color', 'solala' ),
		'param_name'  => 'arrows_bg_hv_color',
		'value'       => '#337ab7',
		'dependency'    => array(
			'element'   => 'show_arrows',
			'value'     => array( '1' )
		),
		'description' => esc_html__( 'Please choose arrows background  color', 'solala' ),
		'group'       => esc_html__('Custom CSS', 'solala'),
	),
);
/* custom slide */
$custom_slide = array(
	array(
		'type'        => 'textfield',
		'heading'     => esc_html__( 'Slides To Show', 'solala' ),
		'param_name'  => 'num_item_show',
		'value'       => '5',
		'description' => esc_html__( 'Please input number of item show in slider.', 'solala' ),
		'group'       => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Show Dots ?', 'solala' ),
		'param_name'  	=> 'show_dots',
		'value'       	=> $yes_no_2,
		'std'      		=> '1',
		'description' 	=> esc_html__( 'If choose Yes, block will be show dots.', 'solala' ),
		'group'       => esc_html__('Slide Custom', 'solala'),
		'dependency'  => array(
			'element'   => 'layout',
			'value_not_equal_to'     => array( 'layout-3' )
		),
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Show Arrow ?', 'solala' ),
		'param_name'  	=> 'show_arrows',
		'value'       	=> $yes_no_2,
		'std'      		=> '1',
		'description' 	=> esc_html__( 'If choose Yes, block will be show arrow.', 'solala' ),
		'group'       => esc_html__('Slide Custom', 'solala'),
		'dependency'  => array(
			'element'   => 'layout',
			'value_not_equal_to'     => array( 'layout-3' )
		),
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Auto Play ?', 'solala' ),
		'param_name'  	=> 'slide_autoplay',
		'value'       	=> $yes_no_2,
		'std'      		=> '1',
		'description' 	=> esc_html__( 'Choose YES to slide auto play.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'        	=> 'dropdown',
		'heading'     	=> esc_html__( 'Is Loop Infinite ?', 'solala' ),
		'param_name'  	=> 'slide_infinite',
		'value'       	=> $yes_no_2,
		'std'      		=> '1',
		'description' 	=> esc_html__( 'Choose YES to slide loop infinite.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'          => 'textfield',
		'heading'       => esc_html__( 'Speed Slide', 'solala' ),
		'param_name'    => 'slide_speed',
		'value'			=> '',
		'description'   => esc_html__( 'Enter number value. Unit is millisecond. Example: 600.', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	),
	array(
		'type'          => 'dropdown',
		'heading'       => esc_html__( 'Animation?', 'solala' ),
		'param_name'    => 'animation',
		'value'			=> $animation,
		'description'   => esc_html__( 'Choose a animation', 'solala' ),
		'group'         => esc_html__('Slide Custom', 'solala')
	)
);

$vc_options = array_merge(
	$layouts,
    $title,
	$params,
	$layouts_option,
	$custom_css,
	$custom_slide,
	$extra_class
);