<?php if ( ! defined( 'SLZ' ) ) {
	die( 'Forbidden' );
}
$default = array(
	'default'   => array(
		'small' => array(
			'height' => 70,
			'src'    => SOLALA_OPTION_IMG_URI . '/default.png'
		),
		'large' => array(
			'height' => 214,
			'src'    => SOLALA_OPTION_IMG_URI . '/default.png'
		),
	)
);
$regist_sidebars = array_merge( array( 'default' => esc_html__('-- Default --', 'solala') ), SLZ_Com::get_regist_sidebars() );

// revolution slider
$revolution_sliders = slz_extra_get_revolution_slider();

$page_header = slz()->theme->get_options( 'page-options' );

$footer_options =  slz()->theme->get_options( 'footer-options' );

$regist_menu = array( 'default' => __('-- Select Menu --', 'solala') ) + SLZ_Com::get_regist_menu();

$options = array(
	'page-settings'=> array(
		'type'    => 'box',
		'title'   => esc_html__(' Page Options','solala' ),
		'options' => array(
			'page-general-settings' => array(
				'title'   => esc_html__( 'General Settings', 'solala' ),
				'type'    => 'tab',
				'options' => array(
					'bg-color' => array(
						'label'   => esc_html__( 'Background Color', 'solala' ),
						'desc'    => esc_html__( "Select background color to the page.", 'solala' ),
						'value'   => '',
						'choices' => SLZ_Com::get_palette_color(),
						'type'    => 'color-palette'
					),
					'page-header-style' => array(
						'label'   => esc_html__( 'Header Style', 'solala' ),
						'type'    => 'image-picker',
						'attr'    => array('class' => 'slz-image-picker-max-width' ),
						'choices' => array_merge( $default, slz_ext('headers')->get_header_choices() ),
						'value'   => 'default'
					),
					'page-main-menu' => array(
						'type'   => 'multi-picker',
						'label'  => false,
						'desc'   => false,
						'picker' => array(
							'options' => array(
								'type'  => 'switch',
								'value' => '',
								'label' => esc_html__( 'Header Menu', 'solala' ),
								'left-choice' => array(
									'value' => 'custom',
									'label' => esc_html__( 'Custom', 'solala' )
								),
								'right-choice' => array(
									'value' => '',
									'label' => esc_html__( 'Default', 'solala' )
								)
							)
						),
						'choices' => array(
							'custom' => array(
								'main-menu' => array(
									'type'    => 'select',
									'label'   => esc_html__('Custom Menu', 'solala'),
									'desc'    => esc_html__('Select menu to display in header.', 'solala'),
									'choices' => $regist_menu,
									'show_borders' => true,
								)
							)
						)
					),
					'page-logo' => array(
						'type'        => 'upload',
						'label'       => esc_html__('Logo Image', 'solala'),
						'desc'        => esc_html__('Upload the site logo .png or .jpg', 'solala'),
						'images_only' => true,
					),
					'page-logo-transparent'   => array(
						'type'   => 'multi-picker',
						'label'  => false,
						'desc'   => false,
						'picker' => array(
							'logo_transparent_options' => array(
								'type'  => 'switch',
								'value' => 'disable',
								'label' => esc_html__( 'Logo Transparent', 'solala' ),
								'left-choice' => array(
									'value' => 'enable',
									'label' => esc_html__( 'Enable', 'solala' ),
								),
								'right-choice' => array(
									'value' => 'disable',
									'label' => esc_html__( 'Disable', 'solala' ),
								)
							),
						),
						'choices' => array(
							'enable' => array(
								'logo-transparent'	=>	array(
									'type'        => 'upload',
									'label'       => esc_html__('Logo Image Transparent', 'solala'),
									'desc'        => esc_html__('Upload the site logo .png or .jpg use for transparent', 'solala'),
									'images_only' => true,
								),
							),
						),
					),
					'page-slider'  => array(
						'type'     => 'select',
						'label'    => esc_html__('Revolution Slider', 'solala'),
						'desc'     => esc_html__('You can add revolution slider in header.','solala'),
						'choices'  => $revolution_sliders ,
						'value'    => ''
					),
					'page-footer-style' => array(
						'type'   => 'multi-picker',
						'label'  => false,
						'desc'   => false,
						'picker' => array(
							'footer-style' => array(
								'label'   => esc_html__( 'Footer Style', 'solala' ),
								'type'    => 'image-picker',
								'attr'    => array('class' => 'slz-image-picker-max-width' ),
								'choices' => array_merge( $default, slz_ext('footers')->get_footer_choices() ),
								'value'   => 'default'
							),
						),
						'choices'      => $footer_options,
						'show_borders' => false,
					),
					'page-sidebar-layout' => array(
						'label' => esc_html__( 'Sidebar Layout', 'solala' ),
						'desc'  => esc_html__( 'Set how to display page sidebar.', 'solala' ),
						'type'  => 'image-picker',
						'attr'  => array('class' => 'slz-image-picker-max-width' ),
						'choices' => array_merge( $default, array(
							'left' => array(
								'small' => array(
									'height' => 50,
									'src'    => SOLALA_OPTION_IMG_URI . '/sidebar/left.png'
								)
							),
							'right' => array(
								'small' => array(
									'height' => 50,
									'src'    => SOLALA_OPTION_IMG_URI . '/sidebar/right.png'
								)
							),
							'none' => array(
								'small' => array(
									'height' => 50,
									'src'    => SOLALA_OPTION_IMG_URI . '/sidebar/full.png'
								)
							),
						) ),
						'value' => 'default'
					),
					'page-sidebar' => array(
						'type'    => 'select',
						'label'   => esc_html__('Choose Sidebar', 'solala'),
						'desc'    => esc_html__('You can create new sidebar in','solala').' <br><a href="' . esc_url( admin_url( 'widgets.php' ) ) . '" >'.esc_html__('Appearance','solala').' > '.esc_html__('Widgets','solala').'</a>',
						'choices' => $regist_sidebars,
						'value'   => 'default'
					),
					'ct-padding-top' => array(
						'type'  => 'text',
						'label' => esc_html__( 'Content Padding Top', 'solala' ),
						'desc'  => esc_html__( 'Custom padding top for content (px).', 'solala' ),
						'value' => '',
					),
					'ct-padding-bottom' => array(
						'type'  => 'text',
						'label' => esc_html__( 'Content Padding Bottom', 'solala' ),
						'desc'  => esc_html__( 'Custom padding bottom for content (px).', 'solala' ),
						'value' => '',
					),
                    'ct-footer-banner' => array(
                        'type'	  => 'select',
                        'label'   => esc_html__( 'Footer Banner?', 'solala' ),
                        'desc'    => esc_html__( 'Show banner in Footer', 'solala' ),
                        'choices' => array(
                            ''        => esc_html__( 'Default', 'solala' ),
                            'style-1' => esc_html__( 'Style 1', 'solala' ),
                            'style-2' => esc_html__( 'Style 2', 'solala' ),
                            'none'    => esc_html__( 'None', 'solala' ),
                        ),
                    ),
				)
			),
			$page_header,
		)
	)
);