<?php
/**
* Icon Class
*/
class SLZ_Icon
{	
	public $icon_config = array();
	public function __construct(){
		$extra_icon = slz()->theme->get_config('supported_extra_fonticon');
		$cfg_flaticon = slz()->theme->get_config('supported_flaticon');
		if( $cfg_flaticon ) {
			$extra_icon['flaticon'] = $cfg_flaticon;
		}
		$this->icon_config = $extra_icon;
		// Register Backend and Frontend CSS Styles
		add_action( 'vc_base_register_front_css', array(&$this, '_action_iconpicker_base_register_css') );
		add_action( 'vc_base_register_admin_css', array(&$this, '_action_iconpicker_base_register_css') );

		// Enqueue Backend and Frontend CSS Styles
		add_action( 'vc_backend_editor_enqueue_js_css', array(&$this, '_action_iconpicker_editor_js_css') );
		add_action( 'vc_frontend_editor_enqueue_js_css', array(&$this, '_action_iconpicker_editor_js_css') );

		if( $this->icon_config ) {
			foreach( $this->icon_config as $key => $font){
				// Define Icons for VC Iconpicker
				$method_name = '_filter_iconpicker_type_' . $key;
				if( method_exists($this, $method_name)){
					add_filter( 'vc_iconpicker-type-' . $key, array(&$this, $method_name)  );
				}
				// Enqueue CSS in Frontend when it's used
				$method_name = '_action_enqueue_font_' . $key;
				if( method_exists($this, $method_name)){
					add_action('vc_enqueue_font_icon_element', array(&$this, $method_name) );
				}
			}
		}
	}
	public function _action_iconpicker_base_register_css(){
		if( $this->icon_config ) {
			foreach( $this->icon_config as $key => $font ){
				if( !empty($font['is_supported']) && !empty($font['url']) && !empty($font['vc_icons_map'])) {
					wp_register_style('font-' . $key, $font['url']);
				}
			}
		}
	}

	public function _action_iconpicker_editor_js_css(){
		if( $this->icon_config ) {
			foreach( $this->icon_config as $key => $font ){
				if( !empty($font['is_supported']) && !empty($font['url']) && !empty($font['vc_icons_map']) ) {
					wp_enqueue_style( 'font-' . $key );
				}
			}
		}
	}

	public function _action_enqueue_font_flaticon($font){
		switch ( $font ) {
			case 'flaticon': wp_enqueue_style( 'font-flaticon' );
		}
	}
	public function _filter_iconpicker_type_flaticon( $icons ) {
		$flaticons = array();
		/**
		 * config array : array('flaticon-animals' => 'flaticon-animals')
		 */
		if( isset($this->icon_config['flaticon']) && $font = $this->icon_config['flaticon'] ) {
			if( !empty($font['is_supported']) && !empty($font['url']) && !empty($font['vc_icons_map']) ) {
				$flaticons = $font['vc_icons_map'];
				return array_merge( $icons, $flaticons );
			}
		}
	}
	public function _action_enqueue_font_garden($font){
		switch ( $font ) {
			case 'garden': wp_enqueue_style( 'font-garden' );
		}
	}
	public function _filter_iconpicker_type_garden( $icons ) {
		$custom_icons = array();
		/**
		 * config array : array('flaticon-animals' => 'flaticon-animals')
		*/
		if( isset($this->icon_config['garden']) && $font = $this->icon_config['garden'] ) {
			if( !empty($font['is_supported']) && !empty($font['url']) && !empty($font['vc_icons_map']) ) {
				$custom_icons = $font['vc_icons_map'];
				return array_merge( $icons, $custom_icons );
			}
		}
	}
	// font-education
	public function _action_enqueue_font_education($font){
		switch ( $font ) {
			case 'education': wp_enqueue_style( 'font-education' );
		}
	}
	public function _filter_iconpicker_type_education( $icons ) {
		$custom_icons = array();
		/**
		 * config array : array('flaticon-animals' => 'flaticon-animals')
		*/
		if( isset($this->icon_config['education']) && $font = $this->icon_config['education'] ) {
			if( !empty($font['is_supported']) && !empty($font['url']) && !empty($font['vc_icons_map']) ) {
				$custom_icons = $font['vc_icons_map'];
				return array_merge( $icons, $custom_icons );
			}
		}
	}
	//building
	public function _action_enqueue_font_building($font){
		switch ( $font ) {
			case 'building': wp_enqueue_style( 'font-building' );
		}
	}
	public function _filter_iconpicker_type_building( $icons ) {
		$custom_icons = array();
		/**
		 * config array : array('flaticon-animals' => 'flaticon-animals')
		*/
		if( isset($this->icon_config['building']) && $font = $this->icon_config['building'] ) {
			if( !empty($font['is_supported']) && !empty($font['url']) && !empty($font['vc_icons_map']) ) {
				$custom_icons = $font['vc_icons_map'];
				return array_merge( $icons, $custom_icons );
			}
		}
	}

} new SLZ_Icon();